Index: lib/spatial/mapbuilder/lib/tool/WebServiceRequest.js
===================================================================
--- lib/spatial/mapbuilder/lib/tool/WebServiceRequest.js	(revision 4306)
+++ lib/spatial/mapbuilder/lib/tool/WebServiceRequest.js	(revision 4307)
@@ -2,7 +2,7 @@
 Author:       Mike Adair  mike.adairATccrs.nrcan.gc.ca
 License:      LGPL as per: http://www.gnu.org/copyleft/lesser.html
 
-$Id$
+$Id: WebServiceRequest.js 3881 2008-02-27 15:41:07Z gjvoosten $
 */
 
 // Ensure this object's dependancies are loaded.
@@ -28,133 +28,189 @@
   //this.debug=true;
   
   //get the request name to add listener to
-  var requestName = toolNode.selectSingleNode("mb:requestName");
-  if (requestName) {
-    this.requestName = requestName.firstChild.nodeValue;
-  }
+  this.requestName = this.getProperty("mb:requestName");
 
   //get the request filter to add to the request
-  var requestFilter = toolNode.selectSingleNode("mb:requestFilter");
-  if (requestFilter) {
-    this.requestFilter = requestFilter.firstChild.nodeValue;
-  }
+  this.requestFilter = this.getProperty("mb:requestFilter");
 
-  var styleUrl = baseDir+"/tool/xsl/"+this.requestName.replace(/:/,"_")+".xsl";
+  var styleUrl = toolNode.selectSingleNode("mb:stylesheet");
+  styleUrl = styleUrl ? getNodeValue(styleUrl) :
+          baseDir+"/tool/xsl/"+this.requestName.replace(/:/,"_")+".xsl";
   this.requestStylesheet = new XslProcessor(styleUrl);
 
   // Set stylesheet parameters for all the child nodes from the config file
   for (var j=0;j<toolNode.childNodes.length;j++) {
-    if (toolNode.childNodes[j].firstChild && toolNode.childNodes[j].firstChild.nodeValue) {
-      this.requestStylesheet.setParameter(toolNode.childNodes[j].nodeName,toolNode.childNodes[j].firstChild.nodeValue);
+    if (getNodeValue(toolNode.childNodes[j])) {
+      this.requestStylesheet.setParameter(toolNode.childNodes[j].nodeName,getNodeValue(toolNode.childNodes[j]));
     }
   }
 
-  /**
-   * Function which create the HTTP payload for a request
-   * @param requestName the name of the web service operation to execute
-   * @param featureNodeId the id of the node in the doc to be processed by the stylesheet
-   */
-  this.createHttpPayload = function(feature) {
-    //confirm inputs
-    if (this.debug) alert("source:"+Sarissa.serialize(feature));
-    //if (this.debug) alert("stylesheet:"+Sarissa.serialize(this.requestStylesheet.xslDom));
+  this.model.addListener("init", this.init, this);
+  this.model.addListener(this.requestName.replace(/:/,"_"), this.doRequest, this);
+}
 
+/**
+ * Function which create the HTTP payload for a request
+ * @param feature the feature object
+ */
+WebServiceRequest.prototype.createHttpPayload = function(feature) {
+  //confirm inputs
+  if (this.debug) mbDebugMessage(this, "source:"+(new XMLSerializer()).serializeToString(feature));
+  //if (this.debug) mbDebugMessage(this, "stylesheet:"+(new XMLSerializer()).serializeToString(this.requestStylesheet.xslDom));
 
-    //prepare the stylesheet
-    var httpPayload = new Object();
-    httpPayload.method = this.targetModel.method;
-    this.requestStylesheet.setParameter("httpMethod", httpPayload.method );
-    this.requestStylesheet.setParameter("version", this.model.getVersion(feature) );
-    if (this.requestFilter) {
-      var filter = config.objects[this.requestFilter];
-      this.requestStylesheet.setParameter("filter", escape(Sarissa.serialize(filter.doc).replace(/[\n\f\r\t]/g,'') ));
-      if (this.debug) alert(Sarissa.serialize(filter.doc));
-    }
 
-    //process the doc with the stylesheet
-    httpPayload.postData = this.requestStylesheet.transformNodeToObject(feature);
-    if (this.debug) {
-      alert("request data:"+Sarissa.serialize(httpPayload.postData));
-      if (config.serializeUrl) var response = postLoad(config.serializeUrl, httpPayload.postData);
-    }
+  //prepare the stylesheet
+  var httpPayload = new Object();
+  httpPayload.method = this.targetModel.method;
+  this.requestStylesheet.setParameter("httpMethod", httpPayload.method );
+  this.requestStylesheet.setParameter("version", this.model.getVersion(feature) );
+  if (this.requestFilter) {
+    var filter = config.objects[this.requestFilter];
+    this.requestStylesheet.setParameter("filter", escape((new XMLSerializer()).serializeToString(filter.doc).replace(/[\n\f\r\t]/g,'') ));
+    if (this.debug) mbDebugMessage(this, (new XMLSerializer()).serializeToString(filter.doc));
+  }
 
-    //allow the tool to have a serverUrl property which overrides the model server URL
-    //TBD: this still used?
-    if (this.serverUrl) {
-      httpPayload.url = this.serverUrl;
+  //process the doc with the stylesheet
+  httpPayload.postData = this.requestStylesheet.transformNodeToObject(feature);
+  if (this.debug) {
+    mbDebugMessage(this, "request data:"+(new XMLSerializer()).serializeToString(httpPayload.postData));
+    if (config.serializeUrl) var response = postLoad(config.serializeUrl, httpPayload.postData);
+  }
+
+  httpPayload.url = this.model.getServerUrl(this.requestName, httpPayload.method, feature);
+
+  //extract the URL from the transformation result for GET method
+  if (httpPayload.method.toLowerCase() == "get") {
+    httpPayload.postData.setProperty("SelectionLanguage", "XPath");
+    Sarissa.setXpathNamespaces(httpPayload.postData, "xmlns:mb='http://mapbuilder.sourceforge.net/mapbuilder'");
+    var queryString = httpPayload.postData.selectSingleNode("//mb:QueryString");
+    if (httpPayload.url.indexOf("?") < 0) {
+      httpPayload.url += "?";
     } else {
-      httpPayload.url = this.model.getServerUrl(this.requestName, httpPayload.method, feature);
+      httpPayload.url += "&";
     }
-
-    //extract the URL from the transformation result for GET method
-    if (httpPayload.method.toLowerCase() == "get") {
-      httpPayload.postData.setProperty("SelectionLanguage", "XPath");
-      Sarissa.setXpathNamespaces(httpPayload.postData, "xmlns:mb='http://mapbuilder.sourceforge.net/mapbuilder'");
-      var queryString = httpPayload.postData.selectSingleNode("//mb:QueryString");
-      if (httpPayload.url.indexOf("?") < 0) httpPayload.url += "?";
-      httpPayload.url += queryString.firstChild.nodeValue;
-      httpPayload.postData = null;
-    }
-    if (this.debug) alert("URL:"+httpPayload.url);
-    return httpPayload;
+    httpPayload.url += getNodeValue(queryString);
+    httpPayload.postData = null;
   }
+  mbDebugMessage(this, "URL:"+httpPayload.url);
+  return httpPayload;
+}
 
 
-  /**
-   * Listener function which will actually issue the request.  This method
-   * will prepare the HTTP payload for a particular featureName.
-   * @param requestName the name of the web service operation to execute
-   * @param featureNodeId the id of the node in the doc to be processed by the stylesheet
-   */
-  this.doRequest = function(objRef, featureName) {
-    objRef.targetModel.featureName = featureName;
+/**
+ * Listener function which will actually issue the request.  This method
+ * will prepare the HTTP payload for a particular featureName.
+ * @param requestName the name of the web service operation to execute
+ * @param featureNodeId the id of the node in the doc to be processed by the stylesheet
+ */
+WebServiceRequest.prototype.doRequest = function(objRef, featureName) {
+  objRef.targetModel.featureName = featureName;
 
-    var feature = objRef.model.getFeatureNode(featureName);
-    if (objRef.model.setRequestParameters) objRef.model.setRequestParameters(featureName, objRef.requestStylesheet);
-    var httpPayload = objRef.createHttpPayload(feature);
-    objRef.targetModel.newRequest(objRef.targetModel,httpPayload);
+  var feature = objRef.model.getFeatureNode(featureName);
+  if (!feature) {
+    alert(mbGetMessage("featureNotFoundWebServiceRequest", featureName));
+    return;
   }
-  this.model.addListener(this.requestName.replace(/:/,"_"), this.doRequest, this);
+  if (objRef.model.setRequestParameters) objRef.model.setRequestParameters(featureName, objRef.requestStylesheet);
+  var httpPayload = objRef.createHttpPayload(feature);
+  objRef.targetModel.newRequest(objRef.targetModel,httpPayload);
+}
 
-  this.setAoiParameters = function(objRef,bbox) {
-    //TBD: this depends on the targetModel having a containerModel to extract the AOI from.
-    //we probably need a config property to point to the AOI model to handle this properly.
-    if (objRef.targetModel.containerModel) {
-      var featureSRS = null;
-      var containerSRS = "EPSG:4326";
-      //var bbox = objRef.targetModel.containerModel.getBoundingBox();
-  /*
-      //convert the BBOX to the feature SRS for the request
-      var containerSRS = objRef.targetModel.containerModel.getSRS();
-      if (featureSRS) {
-        var sourceProj = new Proj(featureSRS.firstChild.nodeValue);
-        if ( !sourceProj.matchSrs( containerSRS )) {  
-          var containerProj = new Proj(objRef.targetModel.containerModel.getSRS());
-          var llTemp = containerProj.Inverse(new Array(bbox[0],bbox[1]));
-          var xy = sourceProj.Forward(llTemp);
-          bbox[0] = xy[0]; bbox[1] = xy[1];
-          llTemp = containerProj.Inverse(new Array(bbox[2],bbox[3]));
-          xy = sourceProj.Forward(llTemp);
-          bbox[2] = xy[0]; bbox[3] = xy[1];
-        }
+WebServiceRequest.prototype.setAoiParameters = function(objRef) {
+  //TBD: this depends on the targetModel having a containerModel to extract the AOI from.
+  //we probably need a config property to point to the AOI model to handle this properly.
+  if (objRef.containerModel) {
+    var featureSRS = null;
+    var containerSRS = "EPSG:4326";
+    var bbox = objRef.containerModel.getBoundingBox();
+/*
+TBD: figure out when to use AOI or BBOX
+    var aoi = objRef.containerModel.getParam("aoi");
+    if (aoi) {
+      bbox[0] = aoi[0][0];
+      bbox[1] = aoi[1][1];
+      bbox[2] = aoi[1][0];
+      bbox[3] = aoi[0][1];
+    }
+*/
+    var containerSRS = objRef.containerModel.getSRS();
+/*
+    //convert the BBOX to the feature SRS for the request
+    if (featureSRS) {
+      var sourceProj = new Proj4js.Proj(getNodeValue(featureSRS));
+      if ( !sourceProj.matchSrs( containerSRS )) {  
+        var containerProj = new Proj4js.Proj(objRef.containerModel.getSRS());
+        var llTemp = containerProj.Inverse(new Array(bbox[0],bbox[1]));
+        var xy = sourceProj.Forward(llTemp);
+        bbox[0] = xy[0]; bbox[1] = xy[1];
+        llTemp = containerProj.Inverse(new Array(bbox[2],bbox[3]));
+        xy = sourceProj.Forward(llTemp);
+        bbox[2] = xy[0]; bbox[3] = xy[1];
       }
-  */
-      objRef.requestStylesheet.setParameter("bBoxMinX", bbox[0][0] );
-      objRef.requestStylesheet.setParameter("bBoxMinY", bbox[1][1] );
-      objRef.requestStylesheet.setParameter("bBoxMaxX", bbox[1][0] );
-      objRef.requestStylesheet.setParameter("bBoxMaxY", bbox[0][1] );
-      objRef.requestStylesheet.setParameter("srs", containerSRS );
-      objRef.requestStylesheet.setParameter("width", objRef.targetModel.containerModel.getWindowWidth() );
-      objRef.requestStylesheet.setParameter("height", objRef.targetModel.containerModel.getWindowHeight() );
     }
+*/
+    objRef.requestStylesheet.setParameter("bBoxMinX", bbox[0]);
+    objRef.requestStylesheet.setParameter("bBoxMinY", bbox[1]);
+    objRef.requestStylesheet.setParameter("bBoxMaxX", bbox[2]);
+    objRef.requestStylesheet.setParameter("bBoxMaxY", bbox[3]);
+    objRef.requestStylesheet.setParameter("srs", containerSRS );
+    objRef.requestStylesheet.setParameter("width", objRef.containerModel.getWindowWidth() );
+    objRef.requestStylesheet.setParameter("height", objRef.containerModel.getWindowHeight() );
   }
+}
 
-  this.init = function(objRef) {
-    if (objRef.targetModel.containerModel) {
-      objRef.targetModel.containerModel.addListener("aoi", objRef.setAoiParameters, objRef);
-      //TBD: another one for bbox
-    }
+WebServiceRequest.prototype.init = function(objRef) {
+  if (objRef.targetModel.containerModel) {
+    objRef.containerModel = objRef.targetModel.containerModel;
+  } else if (objRef.model.containerModel) {
+    objRef.containerModel = objRef.model.containerModel;
   }
-  this.model.addListener("init", this.init, this);
+  if (objRef.containerModel) {
+    objRef.containerModel.addListener("aoi", objRef.setAoiParameters, objRef);
+    objRef.containerModel.addListener("bbox", objRef.setAoiParameters, objRef);
+    objRef.containerModel.addListener("selectedLayer", objRef.selectFeature, objRef);
+    objRef.containerModel.addListener("loadModel", objRef.mapInit, objRef);
+    objRef.containerModel.addListener("newModel", objRef.clear, objRef);
+  }
+}
 
+/**
+ * set map events needed for this tool
+ * @param objRef reference to this tool
+ */
+WebServiceRequest.prototype.mapInit = function(objRef) {
+  // register OpenLayers event to do updates onmouseup
+  objRef.containerModel.map.events.registerPriority('mouseup', objRef, objRef.setClickPosition);  
 }
+
+/**
+ * remove map events for this tool
+ * @param objRef reference to this tool
+ */
+WebServiceRequest.prototype.clear = function(objRef) {
+  if (objRef.containerModel.map && objRef.containerModel.map.events) {
+    objRef.containerModel.map.events.unregister('mouseup', objRef, objRef.setClickPosition);  
+  }
+}
+
+/**
+ * Listener function that will clear the templates and set the mouse
+ * positions when the user clicks on the map.
+ * @param e OpenLayers event
+ */
+WebServiceRequest.prototype.setClickPosition = function(e) {
+  this.targetModel.deleteTemplates();
+  this.requestStylesheet.setParameter("xCoord", e.xy.x);
+  this.requestStylesheet.setParameter("yCoord", e.xy.y);
+}
+
+/**
+ * Listener function which will actually issue the request.  This method
+ * will prepare the HTTP payload for a particular featureName.
+ * @param requestName the name of the web service operation to execute
+ * @param featureNodeId the id of the node in the doc to be processed by the stylesheet
+ */
+WebServiceRequest.prototype.selectFeature = function(objRef, featureName) {
+  objRef.requestStylesheet.setParameter("queryLayer", featureName);
+}
+
Index: lib/spatial/mapbuilder/lib/tool/ZoomToAoi.js
===================================================================
--- lib/spatial/mapbuilder/lib/tool/ZoomToAoi.js	(revision 4306)
+++ lib/spatial/mapbuilder/lib/tool/ZoomToAoi.js	(revision 4307)
@@ -1,12 +1,11 @@
 /*
 License: LGPL as per: http://www.gnu.org/copyleft/lesser.html
 Dependancies: Context
-$Id$
+$Id: ZoomToAoi.js 3821 2008-02-01 13:58:30Z ahocevar $
 */
 
 // Ensure this object's dependancies are loaded.
 mapbuilder.loadScript(baseDir+"/tool/ToolBase.js");
-mapbuilder.loadScript(baseDir+"/model/Proj.js");
 
 /**
  * Controller for the locator map widget.  
@@ -16,6 +15,11 @@
  * This will also process mouse events (click and dragbox) to recenter the 
  * target model and includes coordinate projection transformations if required.
  * Checking for extent limits is not yet implemented.
+ * 
+ * WARNING: it is recommended to use the OverviewMap widget. However since the behavior
+ * is slightly different from this widget, this one is still available.
+ * See also MAP-300
+ * @deprecated
  * @constructor
  * @base ToolBase
  * @author Adair
@@ -33,8 +37,8 @@
   this.initProj = function( toolRef ) {
     if( toolRef.model.doc && toolRef.targetModel.doc ) {
       if ( toolRef.model.getSRS() != toolRef.targetModel.getSRS() ) {
-          toolRef.model.proj = new Proj( toolRef.model.getSRS() );
-          toolRef.targetModel.proj = new Proj( toolRef.targetModel.getSRS() );
+          toolRef.model.proj = new OpenLayers.Projection( toolRef.model.getSRS() );
+          toolRef.targetModel.proj = new OpenLayers.Projection( toolRef.targetModel.getSRS() );
       }
     }
   }
@@ -52,47 +56,59 @@
    */
   this.showTargetAoi = function( tool ) {
     if( tool.targetModel.doc ) {
-	    var bbox = tool.targetModel.getBoundingBox();  
-	    var ul = new Array(bbox[0],bbox[3]);
-	    var lr = new Array(bbox[2],bbox[1]);
-	    if ( tool.model.getSRS() != tool.targetModel.getSRS() ) {
-	      ul = tool.targetModel.proj.Inverse( ul ); //to lat-long
-	      lr = tool.targetModel.proj.Inverse( lr );
-	      if (ul[0]>lr[0]) ul[0] = ul[0]-360.0;     //make sure ul is left of lr
-	      ul = tool.model.proj.Forward( ul );       //back to XY
-	      lr = tool.model.proj.Forward( lr );
-	    }
-	    tool.model.setParam("aoi", new Array(ul, lr) );
+      var bbox = tool.targetModel.getBoundingBox();  
+      var ul = new Array(bbox[0],bbox[3]);
+      var lr = new Array(bbox[2],bbox[1]);
+      if ( tool.model.getSRS() != tool.targetModel.getSRS() ) {
+        var ptUL=new OpenLayers.Geometry.Point(ul[0],ul[1]);
+        var ptLR=new OpenLayers.Geometry.Point(lr[0],lr[1]);
+        ptUL.transform(tool.targetModel.proj,tool.model.proj);
+        ptLR.transform(tool.targetModel.proj,tool.model.proj);
+        ul = new Array(ptUL.x,ptUL.y);
+        lr = new Array(ptLR.x,ptLR.y);      
+        
+      }
+      tool.model.setParam("aoi", new Array(ul, lr) );
     }
   }
+  
   this.firstInit = function(tool) {
+    tool.model.map.events.register('mouseup',tool, tool.mouseUpHandler);
     tool.targetModel.addListener( "loadModel", tool.showTargetAoi, tool );
     tool.targetModel.addListener( "bbox", tool.showTargetAoi, tool );
     tool.showTargetAoi(tool);
   }
   this.model.addListener( "loadModel", this.firstInit, this );
-
-
-  /**
-   * Process a mouse up action.  This will recenter the target model's bbox
-   * to be equal to this model's AOI.
-   * @param tool        Pointer to this ZoomToAoi object.
-   * @param targetNode  The node for the enclosing HTML tag for this widget, not used.
-   */
-  this.mouseUpHandler = function(tool,targetNode) {
-    var bbox = tool.model.getParam("aoi");
-    var ul = bbox[0];
-    var lr = bbox[1];
-    if ( tool.model.getSRS() != tool.targetModel.getSRS() ) {
-      //TBD: convert XY to lat/long first
-      ul = tool.targetModel.proj.Forward( ul ); //to target XY
-      lr = tool.targetModel.proj.Forward( lr );
+  
+  this.clear = function(tool) {
+    if (tool.model.map && tool.model.map.events) {
+      tool.model.map.events.unregister('mouseup',tool, tool.mouseUpHandler);
     }
-    if ( ( ul[0]==lr[0] ) && ( ul[1]==lr[1] ) ) {
-      tool.targetModel.extent.centerAt( ul, tool.targetModel.extent.res[0] );
-    } else {
-      tool.targetModel.extent.zoomToBox( ul, lr );
-    }
   }
-  this.model.addListener('mouseup',this.mouseUpHandler,this);
+  this.model.addListener("clearModel", this.clear, this);
 }
+
+/**
+ * Process a mouse up action.  This will recenter the target model's bbox
+ * to be equal to this model's AOI.
+ * @param e OpenLayers event
+ */
+ZoomToAoi.prototype.mouseUpHandler = function(e) {
+  var bbox = this.model.getParam("aoi");
+  var ul = bbox[0];
+  var lr = bbox[1];
+  if ( this.model.getSRS() != this.targetModel.getSRS() ) {
+    //TBD: convert XY to lat/long first
+      var ptUL=new OpenLayers.Geometry.Point(ul[0],ul[1]);
+      var ptLR=new OpenLayers.Geometry.Point(lr[0],lr[1]);
+      ptUL.transform(this.model.proj,this.targetModel.proj);
+      ptLR.transform(this.model.proj,this.targetModel.proj);
+      ul = new Array(ptUL.x,ptUL.y);
+      lr = new Array(ptLR.x,ptLR.y);    
+  }
+  if ( ( ul[0]==lr[0] ) && ( ul[1]==lr[1] ) ) {
+    this.targetModel.map.setCenter(new OpenLayers.LonLat(ul[0],ul[1]));
+  } else {
+    this.targetModel.map.zoomToExtent(new OpenLayers.Bounds(ul[0], lr[1], lr[0], ul[1]));
+  }
+}
Index: lib/spatial/mapbuilder/lib/tool/xsl/wps_Execute.xsl
===================================================================
--- lib/spatial/mapbuilder/lib/tool/xsl/wps_Execute.xsl	(revision 4306)
+++ lib/spatial/mapbuilder/lib/tool/xsl/wps_Execute.xsl	(revision 4307)
@@ -1,79 +1,8 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-
-<!--
-Description: geberates an HTTP payload to execute a WPS request
-Author:      adair
-Licence:     LGPL as specified in http://www.gnu.org/copyleft/lesser.html .
-
-$Id$
-$Name$
--->
-
-<xsl:stylesheet version="1.0" 
-    xmlns:wps="http://www.opengis.net/wps"
-    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
-		xmlns:ogc="http://www.opengis.net/ogc"
-    xmlns:ows="http://www.opengis.net/ows"
-    xmlns:mb="http://mapbuilder.sourceforge.net/mapbuilder" 
-		xmlns:gml="http://www.opengis.net/gml"
-    xmlns:xlink="http://www.w3.org/1999/xlink">
-
-  <xsl:output method="xml" omit-xml-declaration="no" encoding="utf-8" indent="yes"/>
-
-  <xsl:param name="httpMethod">get</xsl:param>
-  <xsl:param name="version"/>
-  <xsl:param name="processName"/>
-  <xsl:param name="store">false</xsl:param>
-  
-  <!-- template rule matching source root element -->
-  <xsl:template match="wps:Process">
-    <wps:Execute version="{$version}" service="WPS">
-      <xsl:attribute name="store"><xsl:value-of select="$store"/></xsl:attribute>
-      <xsl:choose>
-        <xsl:when test="$httpMethod='post'">
-        	<wps:ProcessName><xsl:value-of select="$processName"/></wps:ProcessName>
-        </xsl:when>
-        <xsl:otherwise>
-          <mb:QueryString>
-            <xsl:variable name="query">
+<?xml version="1.0"?>
+<xsl:stylesheet xmlns:wps="http://www.opengis.net/wps" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ogc="http://www.opengis.net/ogc" xmlns:ows="http://www.opengis.net/ows" xmlns:mb="http://mapbuilder.sourceforge.net/mapbuilder" xmlns:gml="http://www.opengis.net/gml" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.0"><xsl:output method="xml" omit-xml-declaration="yes" encoding="utf-8" indent="yes"/><xsl:param name="httpMethod">get</xsl:param><xsl:param name="version"/><xsl:param name="processName"/><xsl:param name="store">false</xsl:param><xsl:template match="wps:Process"><wps:Execute version="{$version}" service="WPS"><xsl:attribute name="store"><xsl:value-of select="$store"/></xsl:attribute><xsl:choose><xsl:when test="$httpMethod='post'"><wps:ProcessName><xsl:value-of select="$processName"/></wps:ProcessName></xsl:when><xsl:otherwise><mb:QueryString><xsl:variable name="query">
         request=Execute
    &amp;service=WPS
    &amp;version=<xsl:value-of select="$version"/>
-  &amp;ProcessName=<xsl:value-of select="wps:Name"/>
-              <xsl:apply-templates select="wps:Input"/>
-            </xsl:variable>
-            <xsl:value-of select="translate(normalize-space($query),' ', '' )" disable-output-escaping="no"/>
-          </mb:QueryString>
-        </xsl:otherwise>
-      </xsl:choose>
-      <xsl:apply-templates select="wps:Output"/>
-    </wps:Execute>
-  </xsl:template>
-      
-  <xsl:template match="wps:Output/wps:Parameter">
-    &amp;<xsl:value-of select="wps:Name"/>=<xsl:apply-templates select="wps:Datatype"/>
-  </xsl:template>
-
-  <xsl:template match="wps:Input/wps:Parameter">
-    &amp;<xsl:value-of select="wps:Name"/>=<xsl:apply-templates select="wps:Datatype"/>
-  </xsl:template>
-
-  <xsl:template match="wps:Datatype/wps:Reference">
-    <xsl:value-of select="@xlink:href"/>
-  </xsl:template>
-
-  <xsl:template match="wps:Datatype/wps:LiteralValue">
-    <xsl:value-of select="."/>
-  </xsl:template>
-
-  <xsl:template match="wps:Datatype/wps:ComplexValue">
-    <xsl:value-of select="."/>
-  </xsl:template>
-
-  <xsl:template match="wps:Datatype/wps:BoundingBox">
-    <xsl:value-of select="."/>
-  </xsl:template>
-
-  <xsl:template match="text()|@*"/>
-
-</xsl:stylesheet>
+  &amp;ProcessName=<xsl:value-of select="wps:Name"/><xsl:apply-templates select="wps:Input"/></xsl:variable><xsl:value-of select="translate(normalize-space($query),' ', '' )" disable-output-escaping="no"/></mb:QueryString></xsl:otherwise></xsl:choose><xsl:apply-templates select="wps:Output"/></wps:Execute></xsl:template><xsl:template match="wps:Output/wps:Parameter">
+    &amp;<xsl:value-of select="wps:Name"/>=<xsl:apply-templates select="wps:Datatype"/></xsl:template><xsl:template match="wps:Input/wps:Parameter">
+    &amp;<xsl:value-of select="wps:Name"/>=<xsl:apply-templates select="wps:Datatype"/></xsl:template><xsl:template match="wps:Datatype/wps:Reference"><xsl:value-of select="@xlink:href"/></xsl:template><xsl:template match="wps:Datatype/wps:LiteralValue"><xsl:value-of select="."/></xsl:template><xsl:template match="wps:Datatype/wps:ComplexValue"><xsl:value-of select="."/></xsl:template><xsl:template match="wps:Datatype/wps:BoundingBox"><xsl:value-of select="."/></xsl:template><xsl:template match="text()|@*"/></xsl:stylesheet>
Index: lib/spatial/mapbuilder/lib/tool/xsl/wcs_GetCoverage.xsl
===================================================================
--- lib/spatial/mapbuilder/lib/tool/xsl/wcs_GetCoverage.xsl	(revision 4306)
+++ lib/spatial/mapbuilder/lib/tool/xsl/wcs_GetCoverage.xsl	(revision 4307)
@@ -1,41 +1,6 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!--
-Description: transforms an OWS Context document Coverage resource element into
-             the request string (HTTP GET only for now)
-Author:      adair
-Licence:     LGPL as specified in http://www.gnu.org/copyleft/lesser.html .
-
-$Id$
-$Name$
--->
-
-<xsl:stylesheet version="1.0" 
-    xmlns:wmc="http://www.opengis.net/context" 
-    xmlns:mb="http://mapbuilder.sourceforge.net/mapbuilder" 
-    xmlns:param="http;//www.opengis.net/param"
-    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
-    xmlns:xlink="http://www.w3.org/1999/xlink">
-
-  <xsl:output method="xml"/>
-  <xsl:strip-space elements="*"/>
-
-  <xsl:param name="bBoxMinX"/>
-  <xsl:param name="bBoxMinY"/>
-  <xsl:param name="bBoxMaxX"/>
-  <xsl:param name="bBoxMaxY"/>
-  <xsl:param name="width"/>
-  <xsl:param name="height"/>
-  <xsl:param name="srs"/>
-  <xsl:param name="version"/>
-  
-  <xsl:template match="wmc:Coverage">
-    <xsl:variable name="bbox">
-      <xsl:value-of select="$bBoxMinX"/>,<xsl:value-of select="$bBoxMinY"/>,
-      <xsl:value-of select="$bBoxMaxX"/>,<xsl:value-of select="$bBoxMaxY"/>
-    </xsl:variable>
-    <GetCoverage>
-      <mb:QueryString>
-        <xsl:variable name="src">    
+<?xml version="1.0"?>
+<xsl:stylesheet xmlns:wmc="http://www.opengis.net/context" xmlns:mb="http://mapbuilder.sourceforge.net/mapbuilder" xmlns:param="http;//www.opengis.net/param" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.0"><xsl:output method="xml" omit-xml-declaration="yes"/><xsl:strip-space elements="*"/><xsl:param name="bBoxMinX"/><xsl:param name="bBoxMinY"/><xsl:param name="bBoxMaxX"/><xsl:param name="bBoxMaxY"/><xsl:param name="width"/><xsl:param name="height"/><xsl:param name="srs"/><xsl:param name="version"/><xsl:template match="wmc:Coverage"><xsl:variable name="bbox"><xsl:value-of select="$bBoxMinX"/>,<xsl:value-of select="$bBoxMinY"/>,
+      <xsl:value-of select="$bBoxMaxX"/>,<xsl:value-of select="$bBoxMaxY"/></xsl:variable><GetCoverage><mb:QueryString><xsl:variable name="src">    
       VERSION=<xsl:value-of select="$version"/>
  &amp;REQUEST=GetCoverage
  &amp;SERVICE=WCS
@@ -44,19 +9,6 @@
    &amp;WIDTH=<xsl:value-of select="$width"/>
   &amp;HEIGHT=<xsl:value-of select="$height"/>
 &amp;COVERAGE=<xsl:value-of select="wmc:Name"/>
-  &amp;FORMAT=<xsl:value-of select="wmc:FormatList/wmc:Format[@current='1']"/>
-        <xsl:for-each select="wmc:DimensionList/wmc:Dimension">
-&amp;<xsl:value-of select="@name"/>=<xsl:value-of select="."/>
-        </xsl:for-each>
-        <xsl:for-each select="wmc:ParameterList/wmc:Parameter">
-&amp;<xsl:value-of select="param:kvp/@name"/>=<xsl:value-of select="param:kvp/@value"/>          
-        </xsl:for-each>
-        </xsl:variable>
-        <xsl:value-of select="translate(normalize-space($src),' ', '' )" disable-output-escaping="no"/>
-      </mb:QueryString>
-    </GetCoverage>
-  </xsl:template>
-  
-  <xsl:template match="text()|@*"/>
-
-</xsl:stylesheet>
+  &amp;FORMAT=<xsl:value-of select="wmc:FormatList/wmc:Format[@current='1']"/><xsl:for-each select="wmc:DimensionList/wmc:Dimension">
+&amp;<xsl:value-of select="@name"/>=<xsl:value-of select="."/></xsl:for-each><xsl:for-each select="wmc:ParameterList/wmc:Parameter">
+&amp;<xsl:value-of select="param:kvp/@name"/>=<xsl:value-of select="param:kvp/@value"/></xsl:for-each></xsl:variable><xsl:value-of select="translate(normalize-space($src),' ', '' )" disable-output-escaping="no"/></mb:QueryString></GetCoverage></xsl:template><xsl:template match="text()|@*"/></xsl:stylesheet>
Index: lib/spatial/mapbuilder/lib/MapbuilderServerLoad.js
===================================================================
--- lib/spatial/mapbuilder/lib/MapbuilderServerLoad.js	(revision 4306)
+++ lib/spatial/mapbuilder/lib/MapbuilderServerLoad.js	(revision 4307)
@@ -1,6 +1,6 @@
 /*
 License: LGPL as per: http://www.gnu.org/copyleft/lesser.html
-$Id$
+$Id: MapbuilderServerLoad.js 2546 2007-01-23 12:07:39Z gjvoosten $
 */
 
 /** URL of Mapbuilder's lib/ directory. */
